URPM::Signature(3)

NAME
URPM::Signature - Pubkey routines for URPM/urpmi

SYNOPSIS

DESCRIPTION

parse_pubkeys($urpm, %options)
    Parse from rpmlib db ("gpg-pubkey")

import_needed_pubkeys_from_file($db, $pubkey_file, $o_callback)
    Import pubkeys from file, but only if it is needed. Returns the return value of the optionnal callback.

    The optional callback enables to handle success or error.

    The callback signature is callback($id, $imported), aka the ID of the key and whether it was imported or not.